//tooltip
._tooltip {
  position: relative;
  display: inline;
}

.tooltip__initiator {
  width: auto;
  cursor: pointer;
  z-index: 5;
  display: inline;
}

.tooltip__item {

  transform: translate3d(-50%, 0, 0);
  visibility: visible;
  opacity: 1;
  //visibility: hidden;
  //opacity: 0;
  //transform: translate3d(-50%, -15px, 0);
  position: absolute;
  min-width: 300px;
  padding: 20px;

  background: #3a4149;
  transition: all .250s cubic-bezier(0, 0, 0.2, 1);
  color: #484848;
  border: 1px solid rgb(35, 40, 44);
  border-radius: 3px;
  font-weight: 500;
  box-shadow: 0 2px 1px rgb(35, 40, 44);
  z-index: 4;

  &:after {
    content: "";
    display: block;
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
  }

  top: calc(100% + 1em);
  left: 50%;


  &:after {
    top: -0.5em;
    left: 50%;
    transform: translate3d(-50%, 0, 0);
    border-width: 0 0.5em 0.5em 0.5em;
    border-color: transparent transparent #3a4149 transparent;
    -webkit-filter: drop-shadow(1px 2px 1px rgb(35, 40, 44));
    filter: drop-shadow(1px -1px 1px rgb(35, 40, 44));
  }

  &.add-ip-tooltip {
    transform: translate3d(0, -20%, 0);
    background: #4d525f;
    color: white;
    &:after{
      border-color: transparent transparent #4d525f transparent;
    }
  }
}


/*Huge thanks to @tobiasahlin at http://tobiasahlin.com/spinkit/ */
.spinner {
  margin: 10px auto 0;
  width: 70px;
  text-align: center;
}

.spinner > div {
  width: 18px;
  height: 18px;
  background-color: #333;

  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0)
  }
  40% {
    -webkit-transform: scale(1.0)
  }
}

@keyframes sk-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  40% {
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}
